libvisio::VSDEllipticalArcTo Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDEllipticalArcTo Class Reference
Inheritance diagram for libvisio::VSDEllipticalArcTo:

## Public Member Functions
| VSDEllipticalArcTo (unsigned id, unsigned level, const boost::optional< double > &x3, const boost::optional< double > &y3, const boost::optional< double > &x2, const boost::optional< double > &y2, const boost::optional< double > &angle, const boost::optional< double > &ecc)
| ~VSDEllipticalArcTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x3
double | m_y3
double | m_x2
double | m_y2
double | m_angle
double | m_ecc

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDEllipticalArcTo()

libvisio::VSDEllipticalArcTo::VSDEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x3,
|  | const boost::optional< double > & | y3,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2,
|  | const boost::optional< double > & | angle,
|  | const boost::optional< double > & | ecc )
| inline

## ◆ ~VSDEllipticalArcTo()

libvisio::VSDEllipticalArcTo::~VSDEllipticalArcTo | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDEllipticalArcTo::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDEllipticalArcTo::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_angle

double libvisio::VSDEllipticalArcTo::m_angle

## ◆ m_ecc

double libvisio::VSDEllipticalArcTo::m_ecc

## ◆ m_x2

double libvisio::VSDEllipticalArcTo::m_x2

## ◆ m_x3

double libvisio::VSDEllipticalArcTo::m_x3

## ◆ m_y2

double libvisio::VSDEllipticalArcTo::m_y2

## ◆ m_y3

double libvisio::VSDEllipticalArcTo::m_y3

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp